OpenCV até 3.3 utils.cpp cv::imread Image File Excesso de tampão

CVSS Meta Temp scorePreço de exploração actual (≈)Nota de Interesse CTI
6.9$0-$5k0.00

Uma vulnerabilidade foi encontrada em OpenCV até 3.3. Foi classificada como crítico. Afectado é a função cv::imread do ficheiro utils.cpp. A manipulação com uma entrada desconhecida leva a Excesso de tampão. A definição de CWE para a vulnerabilidade é CWE-787. O bug foi descoberto em 04/08/2017. O aconselhamento é partilhado para download em github.com.

A vulnerabilidade é identificada como CVE-2017-12606. A atribuição do CVE aconteceu em 06/08/2017. O ataque deve ser apenas local. Os detalhes técnicos estão disponíveis. A vulnerabilidade não é bem conhecida. Não há nenhuma exploração disponível.

É declarado como não definido. A vulnerabilidade foi tratada como uma exploração não pública de dia zero durante pelo menos 2 dias. Esperamos que o dia 0 tenha valido aproximadamente $0-$5k. O scanner de vulnerabilidade Nessus fornece um plugin com o ID 103575 (Debian DLA-1117-1 : opencv security update), que ajuda a determinar a existência da falha num ambiente alvo. É atribuído à família Debian Local Security Checks. O plugin está a funcionar no contexto do tipo l. O scanner de vulnerabilidade comercial Qualys é capaz de testar este problema com plugin 171242 (OpenSUSE Security Update for opencv (openSUSE-SU-2018:1385-1)).

Recomenda-se a actualização do componente afectado. Uma possível atenuação foi publicada 2 Meses após a revelação da vulnerabilidade.

A vulnerabilidade está também documentada noutras bases de dados de vulnerabilidade: Tenable (103575).

Produtoinformação

Tipo

Nome

Versão

Licença

CPE 2.3informação

CPE 2.2informação

CVSSv4informação

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Fiabilidade: 🔍

CVSSv3informação

VulDB Meta Pontuação Base: 7.0
VulDB Meta Temp score: 6.9

VulDB Pontuação Base: 5.3
VulDB Pontuação da Tempestade: 5.1
VulDB Vector: 🔍
VulDB Fiabilidade: 🔍

NVD Pontuação Base: 8.8
NVD Vector: 🔍

CVSSv2informação

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexidadeAutenticaçãoConfidencialidadeIntegridadeDisponibilidade
DesbloquearDesbloquearDesbloquearDesbloquearDesbloquearDesbloquear
DesbloquearDesbloquearDesbloquearDesbloquearDesbloquearDesbloquear
DesbloquearDesbloquearDesbloquearDesbloquearDesbloquearDesbloquear

VulDB Pontuação Base: 🔍
VulDB Pontuação da Tempestade: 🔍
VulDB Fiabilidade: 🔍

NVD Pontuação Base: 🔍

Exploraçãoinformação

Classe: Excesso de tampão
CWE: CWE-787 / CWE-119
CAPEC: 🔍
ATT&CK: 🔍

Local: Não
Remoto: Sim

Disponibilidade: 🔍
Estado: Não definido

EPSS Score: 🔍
EPSS Percentile: 🔍

Tendência dos preços: 🔍
Estimativa de preço actual: 🔍

0-DayDesbloquearDesbloquearDesbloquearDesbloquear
HojeDesbloquearDesbloquearDesbloquearDesbloquear

Nessus ID: 103575
Nessus Nome: Debian DLA-1117-1 : opencv security update
Nessus Arquivo: 🔍
Nessus Risco: 🔍
Nessus Família: 🔍
Nessus Context: 🔍

OpenVAS ID: 65163
OpenVAS Nome: Debian LTS Advisory ([SECURITY] [DLA 1117-1] opencv security update)
OpenVAS Arquivo: 🔍
OpenVAS Família: 🔍

Qualys ID: 🔍
Qualys Nome: 🔍

Inteligência de Ameaçasinformação

Interesse: 🔍
Actores Activos: 🔍
Grupos APT activos: 🔍

Contra-medidasinformação

Recomendação: Actualização
Estado: 🔍

Tempo de resposta: 🔍
Tempo 0-Dia: 🔍
Tempo de Exposição: 🔍

Linha do tempoinformação

04/08/2017 🔍
06/08/2017 +2 Dias 🔍
06/08/2017 +0 Dias 🔍
07/08/2017 +1 Dias 🔍
07/08/2017 +0 Dias 🔍
29/09/2017 +53 Dias 🔍
02/10/2017 +3 Dias 🔍
15/12/2022 +1900 Dias 🔍

Fontesinformação

Aconselhamento: 9309
Estado: Não definido

CVE: CVE-2017-12606 (🔍)

Entradainformação

Criado em: 07/08/2017 12h51
Actualizado em: 15/12/2022 08h56
Ajustamentos: 07/08/2017 12h51 (74), 04/11/2019 08h52 (3), 15/12/2022 08h53 (4), 15/12/2022 08h56 (1)
Completo: 🔍
Cache ID: 44:C02:40

Discussão

Ainda sem comentários. Idiomas: pt + en.

Por favor inicie sessão para comentar.

Do you want to use VulDB in your project?

Use the official API to access entries easily!